import { Button, Stack } from '@mui/material';
import { CrossDomainLink, getCrossDomainLinkProps, useSeeka } from '@seeka-labs/converge-react';

export const ExampleCrossDomainLink = () => {
    const seeka = useSeeka();

    return (
        <Stack gap={2}>
            <div>
                <CrossDomainLink><Button variant='outlined' color='primary' target='_blank' href='https://google.com'>External link</Button></CrossDomainLink>
            </div>
            <div style={{ whiteSpace: 'pre', fontSize: '12px' }}>
                {JSON.stringify(getCrossDomainLinkProps({ href: 'https://google.com' }, seeka), null, 2)}
            </div>
        </Stack>
    )
}