import { useEffect } from 'react';

import { Box, Button, Divider, Stack, Typography } from '@mui/material';
import {
    useSeeka, useSeekaAnonId, useSeekaConverge, useSeekaIdentity
} from '@seeka-labs/converge-react';

export const ExampleIdentity = () => {
    const anonId = useSeekaAnonId();
    const id = useSeekaIdentity();
    const converge = useSeekaConverge();
    const seeka = useSeeka();

    const onReset = async () => {
        await converge?.identity.reset(true);
    }
    const onSetRandom = async () => {
        await converge?.identity.reset(true);
        const randy = Math.floor(Math.random() * 100000000);
        await converge?.identity.setProfile({
            email: ['random-email-test-' + randy + '@example.com'],
            firstName: ['Firsty ' + randy],
            lastName: ['Lasty ' + randy],
            phone: ['+614' + Math.floor(Math.random() * 100000000)],
            address: [
                {
                    countryCode: 'AU'
                }
            ]
        })
    }
    const onSetStatic = async () => {
        await converge?.identity.reset(true);
        const seekaPId = 'sk.1.1709691978356.8888888888';
        await converge?.identity.setProfile({
            seekaBId: [seekaPId],
            seekaPId: seekaPId,
            email: ['static-email-test@example.com'],
            firstName: ['Firsty'],
            lastName: ['Lasty'],
            phone: ['+61422333444'],
            address: [
                {
                    countryCode: 'AU'
                }
            ]
        })
    }

    // useEffect(() => {
    //     const a = async () => {
    //         console.log('hereee0', anonId)
    //         console.log('hereee1', id)
    //         console.log('hereee2', await converge?.identity.getProfile())
    //         console.log('hereee3', seeka.id)
    //     }
    //     a();

    // }, [id, anonId])

    return (
        <Stack gap={4} direction='column' divider={<Divider component={'div'} />}>
            <Box>
                <Typography variant='h6' gutterBottom>Actions</Typography>
                <Stack gap={2} direction='row'>
                    <Button variant='outlined' onClick={() => onSetStatic()}>Set static</Button>
                    <Button variant='outlined' onClick={() => onSetRandom()}>Set random</Button>
                    <Button variant='outlined' onClick={() => onReset()}>Clear</Button>
                </Stack>
            </Box>
            <div>
                Seeka person ID: {anonId}
            </div>
            <Box>
                <Typography variant='h6' gutterBottom>Identity</Typography>
                <div style={{ width: '100%', whiteSpace: 'pre', fontSize: '12px', overflow: 'auto' }}>
                    <code>{JSON.stringify(id, null, 2)}</code>
                </div>
            </Box>
        </Stack>
    )
}