import './index.css';

import React from 'react';
import ReactDOM from 'react-dom/client';

import { SeekaProvider, SeekaProviderConfigContext } from '@seeka-labs/converge-react';

import App from './App';
import reportWebVitals from './reportWebVitals';

// Get below details from https://seeka.app/settings/integrations/api
const seekaOrgId = '';
const seekaPublicKey = '';
const seekaInstanceId = '';
const hosts = []
const waitForInteraction = false; // Optionally wait for user interaction before loading Seeka - advanced scenarios

const seekaContext: SeekaProviderConfigContext = {
  tracking: {
    defaults: {  // optional defaults 
      currencyCode: 'NZD',
      countryCode: 'NZ',
    }
  },
  client: {
    type: 'mycoolsoftware', // name of your software or website
    ver: '1.0.0', // your front end build number or Git commit hash
  }
}

const root = ReactDOM.createRoot(
  document.getElementById('root') as HTMLElement
);
root.render(
  <React.StrictMode>
    <SeekaProvider org={seekaOrgId} publicKey={seekaPublicKey} id={seekaInstanceId} hosts={hosts} context={seekaContext} waitForInteraction={waitForInteraction}>
      <App />
    </SeekaProvider>
  </React.StrictMode>
);

reportWebVitals();
